function y=omega_B(u);

% Cette fonction calcule la rotation absolue du satellite porte par le champ magntique
% terestre de la position satellite au temps courant t


% En entre un vecteur u  10 composantes:
%	u(1:3) est le champ magntique puls labor  bord  l'aide des mesures
%	u(4:10) est le vecteur d'tat p q r + le quaternion Q 


B=u(1:3);                    % Champ magntique colonne 

omega_abs=u(4:6);            % Vecteur rotation absolu par ses coposantes sur les axes satellite x y z

% Calcul de la rotation porte par B

omegaB=(omega_abs'*B)*B/norm(B)^2;    % En vecteur colonne, comme B

y=omegaB;

% Fin programme      